=== debian/changelog ===
libcedrus-dmo (0.0~git.20160229.e129e79-dmo4) unstable; urgency=medium

  * Rebuild for PAC/BTI support; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 13 Nov 2024 11:20:34 +0100

libcedrus-dmo (0.0~git.20160229.e129e79-dmo3) unstable; urgency=medium

  * Change debian source format to '3.0 (quilt)'

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 07 Dec 2017 07:58:04 +0100

libcedrus-dmo (0.0~git.20160229.e129e79-dmo2) unstable; urgency=medium

  * Right name for -dev package should be libcedrus-dev not libcedrus1-dev

 -- Christian Marillat <marillat@free.fr>  Sun, 12 Jun 2016 14:38:36 +0000

libcedrus-dmo (0.0~git.20160229.e129e79-dmo1) unstable; urgency=medium

  * Upload to my repository.

 -- Christian Marillat <marillat@free.fr>  Sun, 12 Jun 2016 14:17:50 +0000

libcedrus (1~git.20160229.e129e79-0~xenial1.0) xenial; urgency=low

  * package up libcedrus.2016

 -- Simon Eisenmann <simon@longsleep.org>  Sun, 1 May 2016 18:04:39 +0200
