=== debian/control ===
Source: libcedrus-dmo
Section: libs
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Standards-Version: 4.1.1
Build-Depends: debhelper (>= 10), libump-dev

Package: libcedrus1
Architecture: arm64 armel armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Low-level acces to video enginge ofr Allwinner sunxi SoCs
 The Cedrus library is need for video engine access of Allwinner sunxi SOCS. 
 The vdpau sunxi driver depends on it.

Package: libcedrus-dev
Section: libdevel
Architecture: arm64 armel armhf
Depends: libcedrus1 (= ${binary:Version}), ${misc:Depends}
Conclicts: libcedrus1-dev
Replaces: libcedrus1-dev
Description: Low-level acces to video enginge ofr Allwinner sunxi SoCs (development files)
 The Cedrus library is need for video engine access of Allwinner sunxi SOCS. 
 This package is needed to build programs which link against libcedrus.
